libnvme(2)

NAME
struct nvme_lm_controller_state_data_header - Controller State data header structure describes the contents of the Controller State data

SYNOPSIS
struct nvme_lm_controller_state_data_header {
__le16 ver;
__u8 csattr;
__u8 rsvd3[13];
__u8 nvmecss[16];
__u8 vss[16];
};

Members

ver Version of this data structure

csattr
    Controller state attributes

rsvd3
    Reserved

nvmecss
    NVMe Controller state size in dwords

vss Vendor specific size in dowrds